Affichage HDMI Impossible (PC)



  • Bonjour à Tous....

    Je suis Nouveau sur le forum, et je me permet de poster car je galère depuis 5 jours pour installer Recalbox.
    J'ai bien chercher et testé plusieurs solutions, mais rien n'a résolut mon problème.

    Je pose les bases :
    Je veux installer Recalbox pour mes filles sur un PC intel NUC D54250WYK
    J'ai bien suivi les tutos et les post du forum, et mon installation c'est passé sans problème, j'ai paramètré le wifi, pas de soucis non plus, la manette (PS4) marche nickel, et les quelques roms testés fonctionnent au poil (mise à part dreamcast et Néo-Géo, mais ça, on verra plus tard).
    J'ai donc une version 4.1 64bit sur Clé USB, et 1 2ème clé de 64go pour les fichiers (roms, config, etc...)

    Alors où est le problème puisque tout marche ???

    Et bien tout simplement le HDMI.

    Je m'explique,

    Quand je démarre sur le boot de Recalbox en HDMI (le NUC possède une prise Displayport et une prise mini HDMI), le bios du Nuc s'affiche, puis une ligne annonçant le démarrage de Recalbox...........et après : NO SIGNAL
    Par contre, en VGA par le dysplayport, pas de souci, RecalBox s'affiche bien.

    J'ai essayé de forcé le HDMI dans le bios du NUC : NO SIGNAL
    J'ai modifié le fichier "recalbox/share/system/recalbox.conf" : NO SIGNAL
    J'ai modifié le fichier "bios/recalbox.conf : NO SIGNAL
    J'ai essayé sur une autre TV : NO SIGNAL

    Le seul fichier que je n'ai pas modifié, est "bios/config.txt" car tous les forums en parle, mais moi, je ne le trouve pas ??

    Je travail sur mac, avec Cyberduck, j'ai donc accés à tous les fichiers.

    Je cale vraiment sur ce problème, et cela m'embête vraiment, car la TV de mes filles ne possède pas de VGA, et le son ne passe pas non plus par le VGA (logique lolllll)

    Il faut donc absolument que je puisse affiché Emulstation sur le HDMI (je précise que si je démarre sous windows, l'affichage se fait sur HDMI sans problème).

    Avez vous une solution ?, et pourquoi je n'ai pas de fichier config.txt dans bios ?

    Merci d'avance à tous.


  • Moderator
    Team

    @nounet69 Bonjour

    D'avance mes excuses pour le message ultra rapide :

    • les fichiers qur tu cherches sont pour pi uniquement
    • on améliorera la gestion des écrans (très) prochainement

    Première version pc, elle est encore tres imparfaite :/



  • OK lol.......
    Donc pour l'instant je n'ai pas de solution ;-((((
    Et bien on va attendre.
    Merci de ta réponse, et bravo pour le developpement ;-)
    Continuez comme ça, j'attendrais une mise à jour.



  • Salut. J'allais justement poster pour la même demande. J'ai voulu testé sur mon pc connecté à la TV. Écran noir, puis sur écran de PC... Écran noir. Je vais sur https://forum.recalbox.com/topic/3572/ecran-noir-lors-du-premier-démarrage/8

    Le PC étant utilisé, je télécharge une appli type putty sur mon téléphone pour trouver ce fameux fichier /boot/config.txt...introuvable.

    Je teste sur mon pc portable... Ça marche... Le ventilateur a bouffé des hormones mais ça marche.

    Enfin je découvre que la question a été posée il y a 5 jours et que la réponse a été apporté.

    Moral de l'histoire, cherche bien dans le forum avec la fonction recherche et non mot-clé. Ça t'aurais évité d'avoir à raconter tes mésaventures à minuit passé.

    En tout cas vivement une maj.

    Continuez comme ça vous êtes formidables.

    A plus.


  • Moderator
    Team

    Hello, si éditer quelques fichiers en ssh ne vous fait pas peur, je rédigerai un tuto provisoire pour gérer à la mano les sortie vidéo.


  • Moderator
    Team

    vous pouvez me sortir une archive de support via:

    depuis windows : http://recalbox/help
    depuis macos/linux : http://recalbox.local/help

    ou en ssh : /recalbox/scripts/recalbox-support.sh



  • Bonjour a tous,

    Je pense que c'est ce fichier qu'il te faut :

    #!/bin/sh

    GTMP="/tmp"
    DHOME="/recalbox/share/system"

    to be callable by any external tool

    if test $# -eq 1
    then
    REPORTNAME=$(basename "$1" | sed -e s+'^([^.])..$'+'\1'+)
    OUTPUTFILE=$1
    else
    REPORTNAME="recalbox-support-"$(date +%Y%m%d%H%M%S)
    OUTPUTFILE="/recalbox/share/saves/${REPORTNAME}.tar.gz"
    fi

    TMPDIR="${GTMP}/${REPORTNAME}"

    f_cp() {
    test -e "$1" && cp "$1" "$2"
    }

    d_cp() {
    test -d "$1" && cp -pr "$1" "$2"
    }

    if mkdir "${TMPDIR}" && mkdir "${TMPDIR}/"{system,joysticks,lirc,kodi}
    then
    if ! cd "${TMPDIR}"
    then
    echo "Change directory failed" >&2
    exit 1
    fi
    else
    echo "Reporting directory creation failed" >&2
    exit 1
    fi

    SYSTEM

    DSYSTEM="${TMPDIR}/system"
    dmesg > "${DSYSTEM}/dmesg.txt"
    lsmod > "${DSYSTEM}/lsmod.txt"
    ps > "${DSYSTEM}/ps.txt"
    df -h > "${DSYSTEM}/df.txt"
    netstat -tuan > "${DSYSTEM}/netstat.txt"
    lsusb -v > "${DSYSTEM}/lsusb.txt" 2>/dev/null
    tvservice -m CEA > "${DSYSTEM}/tvservice-CEA.txt"
    tvservice -m DMT > "${DSYSTEM}/tvservice-DMT.txt"
    ifconfig -a > "${DSYSTEM}/ifconfig.txt"
    lspci > "${DSYSTEM}/lspci.txt"
    amixer > "${DSYSTEM}/amixer.txt"
    aplay -l > "${DSYSTEM}/aplay-l.txt"
    DISPLAY=:0.0 glxinfo > "${DSYSTEM}/glxinfo.txt"
    DISPLAY=:0.0 xrandr > "${DSYSTEM}/xrandr.txt"
    connmanctl technologies > "${DSYSTEM}/connman-technologies.txt"
    connmanctl services > "${DSYSTEM}/connman-services.txt"
    f_cp /recalbox/recalbox.version "${DSYSTEM}"
    f_cp /recalbox/recalbox.arch "${DSYSTEM}"
    f_cp /boot/config.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/recalbox.conf "${DSYSTEM}"
    d_cp /recalbox/share/system/logs "${DSYSTEM}"
    f_cp /var/log/messages "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_settings.cfg "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_log.txt "${DSYSTEM}"
    f_cp /recalbox/share/system/.emulationstation/es_input.cfg "${DSYSTEM}"
    f_cp /boot/recalbox-boot.conf "${DSYSTEM}"
    f_cp /var/log/Xorg.0.log "${DSYSTEM}"

    Emulators configs

    d_cp /recalbox/share/system/configs "${TMPDIR}/configs"

    joysticks

    DJOYS="${TMPDIR}/joysticks"
    find /dev/input > "${DJOYS}/inputs.txt"
    for J in /dev/input/event*
    do
    N=$(basename ${J})
    evtest --info "${J}" > "${DJOYS}/evtest.${N}.txt"
    udevadm info -q all -n "${J}" > "${DJOYS}/udevadm.${N}.txt"
    done
    sdl2-jstest -l > "${DJOYS}/sdl2-jstest.txt"

    lirc

    DLIRC="${TMPDIR}/lirc"
    f_cp "${DHOME}/.config/lirc/lircd.conf" "${DLIRC}"

    kodi

    DKODI="${TMPDIR}/kodi"
    f_cp "${DHOME}/.kodi/userdata/Lircmap.xml" "${DKODI}"
    f_cp "${DHOME}/.kodi/userdata/keymaps/recalbox.xml" "${DKODI}"
    d_cp "${DHOME}/.kodi/userdata/remotes" "${DKODI}"
    f_cp "${DHOME}/.kodi/temp/kodi.log" "${DKODI}"

    if ! (cd "${GTMP}" && tar cf - "${REPORTNAME}" | gzip -c > "${OUTPUTFILE}")
    then
    echo "Reporting zip creation failed" >&2
    exit 1
    fi

    rm -rf "${TMPDIR}"
    echo "${OUTPUTFILE}"
    exit 0


  • Moderator
    Team

    @nounet69 nope ça c'est el script générant l'archive de support. Il faut executer ce dernier en ssh (copier/coller /recalbox/scripts/recalbox-support.sh puis entrée en ssh), puis récupérer l'archive dans le dossier saves et l'uploader sur http://dl.free.fr



  • Bonjour,
    Voilà le fichier désiré : http://dl.free.fr/bPzr3SlOR
    Merci d'avance.


  • Moderator
    Team

    @ramaduc merci, à l'occaz passe nous voir sur irc et notifie moi.
    Il faudra que tu ais accès physiquement au pc recalbox et un accès ssh sur ce dernier.



  • @rockaddicted Salut. Je suis novice sur IRC. Je t'ai envoyé un message privé mais je ne suis pas sûr de moi. J'ai l'impression que tu n'es pas connecté.



  • @rockaddicted Voilà le nouveau fichier :
    http://dl.free.fr/gPVoV2IiF



  • @rockaddicted said in Affichage HDMI Impossible (PC):

    http://dl.free.fr

    Ok, lol....
    Bon, si j evoulais cacher que j'était un noob, c'est raté lollllllll

    Voilà le fichier que tu veux : texte du lien

    Par contre, quand tu le modifie, je le met ou ?

    Merci d'avance.


  • Moderator
    Team

    @Nounet69 merci, à l'occaz quand tu aura le temps et accès ssh sur ton NUC passe nous voir sur irc et notifie moi


Log in to reply
 

Want to support us ?

Join us on :

355
Online

25390
Users

13314
Topics

100881
Posts

Looks like your connection to Recalbox Forum was lost, please wait while we try to reconnect.